/**
 * Copyright (C) 2020 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#include <nfa_api.h>
#include <nfc_api.h>
#include <phNfcTypes.h>
#include <phNxpExtns.h>

static void nfaMockDMCallback(uint8_t, tNFA_DM_CBACK_DATA *) {}
static void nfaMockCCallback(uint8_t, tNFA_CONN_EVT_DATA *) {}

int main(void) {
  if (EXTNS_Init(nfaMockDMCallback, nfaMockCCallback) != NFCSTATUS_SUCCESS) {
    return EXIT_FAILURE;
  }
  const int32_t size = 16;
  const int32_t offset = size - 1;
  uint8_t *p_data = static_cast<uint8_t *>(malloc(size));
  if (p_data == nullptr) {
    return EXIT_FAILURE;
  }
  p_data[offset] = 0x60;
  EXTNS_MfcTransceive(&p_data[offset], 1);
  free(p_data);
  EXTNS_Close();
  return EXIT_SUCCESS;
}
